Probably a Ruby 1.9 thing. What does `:ruby p RUBY_VERSION` output?<div><br></div><div>I know there&#39;s issues with the omnicomplete plugin. This is the first I&#39;ve heard of with just the ftplugin.<br><br><div class="gmail_quote">

On Sat, Oct 30, 2010 at 10:19 PM, Steve Horn <span dir="ltr">&lt;steve@stevehorn.cc&gt;</span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">When I try to edit an existing or create a new ruby file with gvim on Windows I get the following error:<div>

----</div><div>Error detected while processing C:\Program Files (x86)\Vim\vim73\ftplugin\ruby.vim</div><div>line 76:</div>
<div>NoMethodError: undefined method &#39;synchronize&#39; for #&lt;Mutex:0x4019cc0&gt;</div><div>line 93:</div><div>E121: Undefined variable: s:ruby_path</div><div>E15: Invalid expression: s:ruby_path</div><div><br></div>


<div>Any idea what I might be doing wrong?<br clear="all"><br>
</div>
<br>_______________________________________________<br>
vim-ruby-devel mailing list<br>
<a href="mailto:vim-ruby-devel@rubyforge.org">vim-ruby-devel@rubyforge.org</a><br>
<a href="http://rubyforge.org/mailman/listinfo/vim-ruby-devel" target="_blank">http://rubyforge.org/mailman/listinfo/vim-ruby-devel</a><br></blockquote></div><br></div>